[SciPy-dev] depracte name clash ?

Charles Doutriaux doutriaux1@llnl....
Wed Mar 12 13:07:22 CDT 2008


Hi,

 I'm resending this with an appropriate subject in the email. Thansk 
Alan for your answer.

It seems that ever since I switched to Python 2.5.2 I get (no matter 
which version of scipy)

Any idea?
Thanks Alan for your suggestion. I'm not sure of what's happening. numpy's deprecate function does take 3 args.

So i don't know what's happening. This used to work fine in 2.5.1. 

What is disturbing about it, is that the error message does ask for the right number of arguments as numpy requires. I could see the message was reverted "expects 1 got 3", then i would suspect an overload.

Here i'm not sure what's going on. 

I don't really want to start editing scipy's sources either, it's genreally the best way to run into problems and not being able to get support from the list "because it's your own hacked version"


C.


Alan G Isaac wrote:
> On Wed, 12 Mar 2008, Charles Doutriaux apparently wrote:
>   
>> File 
>> "/lgm/cdat/5.0.0.alpha7/lib/python2.5/site-packages/scipy/sparse/base.py", 
>> line 139, in spmatrix 
>>     @deprecate
>> TypeError: deprecate() takes exactly 3 arguments (1 given)
>>     
>
> Looks like a name clash?
> You should be able to just comment out the decorator
> with no ill effects, I would think.
>
> Cheers,
> Alan Isaac
>
>
>
> _______________________________________________
> Scipy-dev mailing list
> Scipy-dev@scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-dev
>
>   


More information about the Scipy-dev mailing list